org.apache.ode.jacob.examples.cell

## Class CELL_<T>

- java.lang.Object
- - org.apache.ode.jacob.JacobObject
  - - org.apache.ode.jacob.JacobRunnable
    - - org.apache.ode.jacob.examples.cell.CELL_<T>

- All Implemented Interfaces:
    java.io.Serializable

      public class CELL_<T>
      extends JacobRunnable

  Cell process template Java representation. This class is equivalent to the following process calculus expression: `Cell(self, val) = self ? [ read(r) = { Cell(self, val) | r ! val(val) } & write(newVal) = { Cell(self, newVal) } ]`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CELL_(CellChannel self, T val)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Peform the template reduction, i.e.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.jacob.JacobRunnable

      `getImplementedMethods`

    - ### Methods inherited from class org.apache.ode.jacob.JacobObject

      `getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CELL_

          public CELL_(CellChannel self,
                       T val)

  - ### Method Detail

    - #### run

          public void run()

      Description copied from class: `JacobRunnable`
      Peform the template reduction, i.e. do whatever it is that the templetized process does. This method may do some combination of in-line Java, and JACOB operations.

      Note that JACOB operations are performed in parallel, so the sequencing of JACOB operations is irrelevant

      Specified by:
        `run` in class `JacobRunnable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `JacobRunnable`